package cz.frantovo.nekurak.ws;

import cz.frantovo.nekurak.ejb.PodnikRemote;
import javax.ejb.EJB;
import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 *
 * @author fiki
 */
@WebService(serviceName = "podnikSluzba", targetNamespace = "podnikNS", portName = "podnikPort")
public class Podnik {

    @EJB
    PodnikRemote ejb;

    /**
     * Projde podniky, které nemají vyplněné souřadnice,
     * a pokusí se je doplnit na základě poštovní adresy podniku.
     * @return počet podniků, u nichž jsme doplnili souřadnice
     */
    @WebMethod(operationName = "dopocitejSouradnicePodleAdres")
    public int dopocitejSouradnice() {
	return ejb.dopocitejSouradnice();
    }

}
